Constant crashing on app open or opening .md file

scott.moser's Avatar

scott.moser

30 Sep, 2019 04:11 PM

I've used MMCv4 for a while now to help write lecture slides and it has always worked very well. But after the last upgrade (to Version 4.5.12 (104) ), the app is completely unusable. The app crashes when I create a New Document, when I try to open a file from within the app, and when I double-click a .md file from the desktop.

This occurs both on a MacBook Air laptop (from about 2016, running OS X10.16.11), as well as on my office Mac (running OS 10.16.??).

What happened to this once-good app?

  1. Support Staff 1 Posted by Fletcher on 30 Sep, 2019 07:01 PM

    Fletcher's Avatar

    I assume you don't mean macOS 10.16.11 (unless you have discovered time travel, in which case we definitely need to talk.)

    If you're talking about macOS 10.11, then there is an issue with 10.11 that causes the latest version of Composer to crash.

    You can still run the prior version if you restore it from a backup. Otherwise, I can send you another copy with instructions for how to copy your app store receipt to validate it.

    I can't maintain support for 10.11 indefinitely (it's now 4 years out of date), but my hope is to be able to restore 10.11 functionality for the current feature set, even if I have to drop support for 10.11 in a future update.

    F-

  2. 2 Posted by scott.moser on 30 Sep, 2019 07:35 PM

    scott.moser's Avatar

    Hello!!

    Thanks SO MUCH for this!

    I'm sorry for my typo. My system is in fact OS 10.11.6
    So it seems I 'm a bit behind.

    So, could I *PLEASE* take you up on your offer for |"another copy with
    instructions for how to copy your app store receipt to validate it." for
    the older version?

    Thanks so much for your help, and your crazy-fast replies!

    Best,
    Scott

  3. 3 Posted by scott.moser on 03 Oct, 2019 07:39 PM

    scott.moser's Avatar

    THank you again for this. Time travel -- ha! Yes! If I could I would
    press pause and take a nap :)

    I upgraded from 10.11.6 to 10.12.6 on my office computer and the latest
    version of MMC works (or at least opens) fine with no problems. Im'
    'semi-update' my mac laptop now, but i expect similar results.

    Thanks again, and sorry for the bother.

    Just curious: what are your plans for MMC for the future? I ask because I
    recently started using Atom and pandoc for a lot of my markdown writing.
    But I still use your MMC to make Beamer slides. It is really great.

    Thanks again,
    scott

  4. Support Staff 4 Posted by Fletcher on 03 Oct, 2019 07:44 PM

    Fletcher's Avatar

    Glad it's working for you.

    I still plan on maintaining Composer for quite some time. There is a new version of the core text editing code which I am using in nvUltra (a successor to nvAlt with Brett Terpstra). The editing experience will be very similar between the two apps, but the feature set will be different. nvUltra is focused on large collections of short notes, where Composer is focused on writing longer documents (though can write short documents as well).

    I have some other ideas for some exciting new features that I am not quite ready to talk about yet as they need some more R&D time to prove that they work. These will be things that are appropriate for Composer but not nvUltra.

    I also have plans for an iOS app. I am not decided yet as to whether that will be Composer, nvUltra, or both.

    F-

    --
    Fletcher T. Penney
    Manager, Founder
    MultiMarkdown Software, LLC
    [email blocked]

  5. 5 Posted by ejm.multimarkdo... on 26 Jan, 2020 04:06 PM

    ejm.multimarkdown.com's Avatar

    Hello! Another 10.16 user here! Just kidding... a 10.11 user. :-)

    I had issues after upgrading to MMC 4.5.12, and followed the advice here to use a backup to downgrade to the previous version. It solved the problem.

    However, now I'm seeing an update prompt in the App Store. Should I just plan to ignore it? Do you know if there's anyway I can make this reminder go away? It's annoying.

    Screenshot

  6. Support Staff 6 Posted by Fletcher on 26 Jan, 2020 07:01 PM

    Fletcher's Avatar

    On 10.11, you'll have to continue to ignore it. I have been looking for a better solution for 10.11 users, but have not found one (Ideally I want to be able to push new updates to 10.11 users!) I am using a new version of the core engine in nvUltra, which I am also unable to get to work on 10.11 (I was sooooo... close, but have not been able to finalize it.)

    I am currently swamped, but once nvUltra 1.0 is released, the plan is to retrofit the new engine into Composer to release an updated version. This version will be flagged as macOS 10.12+ only, which might prevent the reminder. But if not, I can also remove Composer 4.5.12 from sale, which will (hopefully) remove the reminder. I say hopefully because it will be the last version that is marked as working with 10.11, so even if I remove it, it might stick around for backwards compatibility reason. I'll do what I can.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac